org.firebirdsql.gds.ng.wire

## Class DeferredAction.DelegatingDeferredAction

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.DeferredAction.DelegatingDeferredAction

All Implemented Interfaces:
  DeferredAction

Enclosing interface:
  DeferredAction

    public abstract static class DeferredAction.DelegatingDeferredAction
    extends java.lang.Object
    implements DeferredAction

Deferred action implementation that delegates to another deferred action.

This class is intended as a base class for implementations that want to decorate method calls. To decorate it, subclass this class, and override the method, and ensure you call `super.<overridden-method>` in such a way that it is always called, even if the decoration fails.

Since:
  5.0.11

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.firebirdsql.gds.ng.wire.DeferredAction

`DeferredAction.DelegatingDeferredAction`

### Method Summary

All Methods Instance Methods Concrete Methods
`WarningMessageCallback` `getWarningMessageCallback()`
`void` `onException(java.lang.Exception exception)` Exception received when receiving or processing the response.
`void` `processResponse(Response response)` Steps to process the deferred response.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.firebirdsql.gds.ng.wire.DeferredAction

`wrapDeferredResponse`

### Method Detail

#### processResponse

    public void processResponse(Response response)

Description copied from interface: `DeferredAction`
Steps to process the deferred response.

Specified by:
  `processResponse` in interface `DeferredAction`
Parameters:
  `response` - Response object.

#### onException

    public void onException(java.lang.Exception exception)

Description copied from interface: `DeferredAction`
Exception received when receiving or processing the response.

The default implementation only logs the exception on debug level.

Specified by:
  `onException` in interface `DeferredAction`
Parameters:
  `exception` - exception received processing the response

#### getWarningMessageCallback

    public WarningMessageCallback getWarningMessageCallback()

Specified by:
  `getWarningMessageCallback` in interface `DeferredAction`
Returns:
  The warning callback to use when executing this deferred action.